""" This is the nester.py module which provides one function called
    print_lol() which prints lists that might include nested lists"""

import sys
def print_lol(the_list, indent=False, level=0, fh=sys.stdout):
    """ Function takes 3 arguments,
    ARG 1 = name of the list (possibly nested) - manditory argument
    ARG 2 = TRUE/FALSE if you want output indented - optional
    ARG 3 = Offset for indent (# of tabs) - optional
    ARG 4 = Output (screen / file). Default = stdout - optional
    If given with only one arg (list name) output will be flat"""
    for each_item in the_list:
        if isinstance(each_item, list):
            print_lol(each_item, indent, level+1, fh)
        else:
            if indent:
                for tab_stop in range(level):
                        print("\t", end='', file=fh)
            print(each_item, file=fh)
            
        
                    
        
